Subject: Re: [PATCH] iproute2: lib/utils.c bug fixes

From: Mr Dash Four <[email-masked]>
Date: Fri, 12 Apr 2013 14:49:17 +0100

Stephen Hemminger wrote:
> On Fri, 12 Apr 2013 03:30:45 +0100
> Mr Dash Four <[email-masked]> wrote:
>
>   
>> This patch fixes the following 3 bugs in get_u32/get_u64 functions:
>>
>>   1. On 32-bit systems, get_u32 could not detect an overflow.
>>      get_u32(&l, "4294967296", 10) always returned 4294967295
>>      (ULONG_MAX on 32-bit systems).
>>
>>   2. get_u64(&ll, "4294967295", 10) was returning an error where
>>      it shouldn't have (4294967295 is perfectly legitimate value for
>>      unsigned long long).
>>
>>   3. get_u64 couldn't detect an overflow errors (arg > ULLONG_MAX)
>>
>> Signed-off-by: Mr Dash Four <[email-masked]>
>>     
>
> I don't demand Developer Certificate of Origin on iproute2 patches.
> But if you are going to include it then you must use your real name,
> no pseudonyms. See kernel/Documentation/SubmittingPatches.
>   
1. You may or may not be aware that this isn't my first-and-only 
contribution to the 
Linux/Netfilter/Security/Audit/kernel/any_other_Linux_development_project_you_care_to_mention 
tree in which I used my name above.
2. How do you know that Dash Four isn't my name and is a "pseudonym" (do 
you consider the name "Dotcom" not to be a real name too, simply because 
in your, quite narrow-minded, understanding of the world this name 
"looks a bit strange, therefore it must be a pseudonym")?
3. The above text you were kind enough to point me to, is with regards 
to kernel submissions. My patch does not alter the kernel tree in any 
way whatsoever (but even if it has, see 1. above).